Kerbal Space Program - Bug #13153

Maneuver Node Bug when two orbiting ships get close to each other
10/31/2016 10:14 AM - Anth12

Status: Closed Start date: 10/31/2016
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version: 1.3.0

Version: 1.2.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Steam 1.2.0.1586 64bit Clean Install. Kerbal Engineer 1.1.2: Career
GOG KSP 1.2.0.1586 64bit Clean Install. No Mods: Sandbox

Both saves were created in 1.2.0.1586

Steam:

1. Playing in Career with kerbal engineer 1.1.2

2. Two ships in orbit close together and | changed to the other ship.

3. Go to the map screen. Create a maneuver node

4. The maneuver node appears but the required deltaV and the estimated time does not.

GOG: So | tried this in Sandbox with a clean install using GOG version.

1. Playing in Sandbox
2. Tested two ships in close orbit of Mun. Bug confirmed
3. Tested two ships in close orbit of Kerbin. Bug Confirmed

Attached files:

screenshot0.png is to show the problem

screenshot1.png is how it should look

KSP.log GOG version

output_log.txt GOG version

QuickSave Prelntercept Kerbin/QuickSave Prelntercept Mun are before the ships are in range of each other but are on an intercept
course

QuickSave Two Ships Close Kerbin/QuickSave Two Ships Close Mun are when both ships are close together. Use these to test bug

Related issues:
Related to Kerbal Space Program - Bug #13005: Placing a Maneuver Node bugged ... Closed 10/14/2016

History

#1 - 11/01/2016 08:27 PM - Nebbie

| believe I've encountered this, but just not narrowed it to the rendezvous being the cause. | had only noticed it after doing an EVA crew transfer or
docking.

#2 - 11/02/2016 12:25 AM - EvilBroccoli

can confirm this bug, and like Nebbie i found it also related to EVAs (haven't tried docking though)

in addition to losing the d/v and time to node i also lose the navball marker i figure you just forgot to mention it
#3 - 11/04/2016 06:28 AM - Anth12

GOG KSP 1.2.1.1604 64bit Clean Install. No Mods: Sandbox

Just updated my GOG version to the latest, the issue is resolved.

This is mentioned in the ChangelLog and | quote:

"Fix Maneuver Nodes not showing dV when target changes."
#4 - 06/24/2017 11:47 PM - bewing
- Related to Bug #13005: Placing a Maneuver Node bugged after rescued Kerbal boards craft via EVA added

#5 - 06/25/2017 12:46 AM - bewing
- Status changed from New to Ready to Test
- Target version set to 1.3.0

- % Done changed from 0 to 80

#6 - 03/19/2018 06:20 PM - MechBFP
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Confirmed this is fixed.

#7 - 03/19/2018 07:16 PM - Anth12

Completely missed this. Sorry about that.

#8 - 10/15/2018 07:04 PM - joshua.collins

- Status changed from Resolved to Closed

Files

screenshot0.png 761 KB 10/31/2016 Anth12
KSP.log 515 KB 10/31/2016 Anth12
output_log.ixt 1.16 MB 10/31/2016 Anth12
QuickSave Prelntercept Kerbin.sfs 178 KB 10/31/2016 Anth12
QuickSave Prelntercept Mun.sfs 109 KB 10/31/2016 Anth12
QuickSave Two Ships Close Mun.sfs 109 KB 10/31/2016 Anth12
QuickSave Two Ships Close Kerbin.sfs 178 KB 10/31/2016 Anth12
screenshot1.png 463 KB 10/31/2016 Anth12
